Video · Erase · Keypoints
Integrieren
bria/video/erase/keypoints
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"keypoints": [
"{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
"{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/video/erase/keypoints?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}",
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/video/erase/keypoints", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/de/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/video/erase/keypoints",
"input": {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
Rufe das Modell Video · Erase · Keypoints (bria/video/erase/keypoints) über die Doitong API auf. Dokumentation für Agenten: https://doitong.com/de/developers/models/bria/video/erase/keypoints.md
POST https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
Wenn der Antwortstatus "queued" oder "running" lautet, frage GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ab, bis er "succeeded" lautet; die Dateien befinden sich in outputs[].url. POST https://api.doitong.com/v1/quote/bria/video/erase/keypoints mit demselben Body gibt den exakten Preis vor der Ausführung zurück.
Dateien wie das Beispiel: 0,70 $ 700 API-Credits Deine Dateien werden vor der Ausführung gemessen Auf dieser Seite ausführen
Dein neuer API-Schlüssel. Sie wird nur jetzt angezeigt und befindet sich bereits im Code und im untenstehenden API-Schlüssel-Feld. Halten Sie sie geheim: Fügen Sie sie niemals in Code ein, der in einem Browser ausgeführt wird.
Dein erstes Ergebnis erscheint hier
Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.
Anfrage erstellen
Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.
/run/bria/video/erase/keypoints?wait=20
Preis → 0,70 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"keypoints": [
"{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
"{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/video/erase/keypoints?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}",
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/video/erase/keypoints", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/video/erase/keypoints",
"input": {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"wait_seconds": 20
}
}
}
Diese Anfrage ausführen
Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen
Über Video · Erase · Keypoints
Entfernt ein Objekt aus einem Video, wobei das Ziel durch eine Liste von `keypoints` als positive oder negative x/y-Punkte ausgewählt wird. Das Eingabevideo muss kürzer als 5 Sekunden sein; `auto_trim` kürzt längere Clips auf diese Arbeitslänge. Das Ausgabeformat kann aus elf Containern und Codecs gewählt werden, standardmäßig mp4_h264; `preserve_audio` behält den Ton bei.
Parameter
Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen
output_container_and_codecoptional
auto_trimoptional
preserve_audiooptional
keypointserforderlich
video_urlerforderlich
video
Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien
Ausgabe
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/video/erase/keypoints",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 700,
"usd": "0.70",
"charged": 700,
"refunded": 0
},
"input": {
"keypoints": [
"{'x': 765, 'y': 344, 'type': 'positive'}",
"{'x': 200, 'y': 200, 'type': 'negative'}"
],
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Ausgabefelder
- video
- object {url, content_type, file_name, file_size}Resultierendes Video.
Weitere Bria-Varianten
Weitere Modelle: Video zu Video
Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/bria/video/erase/keypoints.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt